Bug 191534

Summary: Review Request: pygobject2
Product: [Fedora] Fedora Reporter: John (J5) Palmieri <johnp>
Component: Package ReviewAssignee: David Cantrell <dcantrell>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, jkeck
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-06-06 16:06:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 188268    

Description John (J5) Palmieri 2006-05-12 15:27:24 EDT
Spec URL: http://people.redhat.com/johnp/files/pygobject/pygobject2.spec
SRPM URL: http://people.redhat.com/johnp/files/pygobject/pygobject2-2.10.1-1.src.rpm
Description: pygobject2 is a split of the pygtk2 package.  New versions of pygtk2 need pygobject2 to build.
Comment 1 John (J5) Palmieri 2006-05-19 15:56:37 EDT
*** Bug 192460 has been marked as a duplicate of this bug. ***
Comment 2 Jesse Keating 2006-05-19 16:16:37 EDT
Bad:
- Buildroot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- Description line should be 80chars max per line
- rpmlint isn't happy w/ the build package:
E: pygobject2 script-without-shellbang
/usr/share/doc/pygobject2-2.10.1/examples/Makefile.in
E: pygobject2 script-without-shellbang
/usr/share/doc/pygobject2-2.10.1/examples/signal.py
E: pygobject2 script-without-shellbang /usr/lib64/python2.4/site-packages/pygtk.pth
E: pygobject2 script-without-shellbang
/usr/share/doc/pygobject2-2.10.1/examples/Makefile
E: pygobject2 script-without-shellbang /usr/share/doc/pygobject2-2.10.1/AUTHORS
E: pygobject2 script-without-shellbang /usr/lib64/python2.4/site-packages/pygtk.py
E: pygobject2 script-without-shellbang /usr/share/doc/pygobject2-2.10.1/README
E: pygobject2 script-without-shellbang /usr/share/doc/pygobject2-2.10.1/NEWS
E: pygobject2 script-without-shellbang
/usr/share/doc/pygobject2-2.10.1/examples/properties.py
E: pygobject2 script-without-shellbang /usr/share/doc/pygobject2-2.10.1/ChangeLog
E: pygobject2 script-without-shellbang
/usr/share/doc/pygobject2-2.10.1/examples/Makefile.am

rpmlint -I script-without-shellbang
script-without-shellbang :
This executable text file does not contain a shebang, thus it cannot be
properly executed.  Often this is a sign of spurious executable bits for a
non-script file, but can also be a case of a missing shebang.  To fix this
error, find out which case of the above it is, and either remove the
executable bits or add the shebang.

Perhaps the defattr is a bit overbearing?

Question:
- The dep in the -devel package could lead to -devel being out of sync w/ a
release of the main package.  Is this an issue?

Suggestion:
- No period in summary lines
- Add a URL tag

NEEDSWORK
Comment 4 Jesse Keating 2006-05-19 18:19:33 EDT
rpmlint happy.  I'm happy.  Package happy.  (;

Approved.
Comment 5 Jesse Keating 2006-06-06 15:08:10 EDT
j5, has this been built yet?
Comment 6 John (J5) Palmieri 2006-06-06 16:06:17 EDT
yes, awhile ago. Closing